Get Fund Statement (Institutional clients only)

  • Only master account Master API key can call this interface, sub-accounts will return insufficient privilege type error code
  • All orders returned are final
  • Deposit, Withdrawal failed will not be returned
  • Query of trade history supports the past 14 days time range(though the endpoint support up to get 7 days data for each request). The other types support maximum 30 days. Exceeded amount will return error code "Exceed maximum time range of N days"
  • Remark can only support up to 128 characters
📘

Note

Please note the current endpoint is available to our Institutional clients only and can be requested by case by case

Weight: 3

Request Parameters

PARAMETERTYPEReq'dDESCRIPTION
accountIdLONGAccount ID
typeSTRINGYTransaction type:
"trade"
"deposit"
"fiatDeposit"
"withdraw"
"fiatWithdraw"
"transfer"
"reversal"
"refund"
clientOrderIdSTRINGCorresponds to types: "trade", "withdraw", "fiatWithdraw", "transfer"
remarkSTRINGRemark
startTimeLONGYStart timestamp
** timestamp 是结算开始时间
endTimeLONGYEnd timestamp
** timestamp 是结算开始时间
beginIdINTStart record number. Default: 0
E.g. If input ID is 1, return starting ID as 2
limitINTLimit
recvWindowLONGRecv window
timestampLONGYTimestamp

Type = trade

Supported for the past 7 days time range

Response content

PARAMETERTYPEDESCRIPTION
idSTRINGRecord ID
accountIdSTRINGAccount ID
typeSTRING"trade"
netBaseAmountSTRINGOrder Quantity
Default Value =""
Buy direction (+ve)
Sell direction (-ve)
baseCcySTRINGBase currency
baseAssetBalanceSTRINGBase asset balance
Default Value =""
netQuoteAmountSTRINGPrice * Quantity
Default Value =""
Buy direction (-ve)
Sell direction (+ve)
quoteAssetBalanceSTRINGQuote asset balance
Default Value =""
quoteCcySTRINGE.g. USDT, USDC, USD
directionSTRINGBUY or SELL
feeSTRINGTrading fee
Default Value = 0
feeSupplementaryAmountSTRINGSupplementary commission fee to meet minimum commission fee requirement
feeCcySTRINGE.g. BTC, ETH, USDC
clientOrderIdSTRINGClient order ID
orderIdSTRINGOrder ID
tradeIdSTRINGTrade ID
transactTimeSTRINGTrade completed and settled time
结算完成时间

Sample

[
  {
        "id": "47049",
        "accountId": "1617382306753847296",
        "type": "trade",
        "netBaseAmount": "0.00015",
        "baseCcy": "BTC",
        "baseAssetBalance": "96.53346265",
        "netQuoteAmount": "-9.622275",
        "quoteCcy": "USDC",
        "quoteAssetBalance": "887623.4732212",
        "direction": "BUY",
        "fee": "0.000000225",
        "feeCcy": "BTC",
        "clientOrderId": "99999999980097",
        "orderId": "1733373323360866560",
        "tradeId": "1733373323528638720",
        "transactTime": "1721370202000"  //Trade Completed time
  },
  {
        "id": "47050",
        "accountId": "1617382306753847296",
        "type": "trade",
        "netBaseAmount": "0.29951",
        "baseCcy": "BTC",
        "baseAssetBalance": "96.83297265",
        "netQuoteAmount": "-9984.7019729",
        "quoteCcy": "USD",
        "quoteAssetBalance": "679.337974140649999999",
        "direction": "BUY",
        "fee": "14.97705295935",
        "feeCcy": "USD",
        "clientOrderId": "99999999980098",
        "orderId": "1733374982912741632",
        "tradeId": "1733374983021793536",
        "transactTime": "1721370400000" //Trade Completed time
  }
]

Type = fiatDeposit/fiatWithdraw

Supported for the past 30 days time range

Response content

PARAMETERTYPEDESCRIPTION
idSTRINGRecord ID
accountIdSTRINGAccount ID
typeSTRING"fiatDeposit", "fiatWithdraw"
netFiatAmountSTRINGFiat Deposit/Withdraw: amount
Default Value = 0
fiatCcySTRINGE.g. HKD, USD
fiatBalanceSTRINGFiat balance in the account
Default Value = 0
feeSTRINGFee amount
feeCcySTRINGFee Currency
orderIdSTRINGFiat Order ID
remarkSTRINGRemark
transactTimeSTRINGFiat Deposit/Withdraw Completed Time

Sample

[
    {
        "id": "3",
        "accountId": "1491920242963768578",
        "type": "fiatDeposit",
        "netFiatAmount": "100001",
        "fiatCcy": "USD",
        "fiatBalance": "897400",
        "fee": "0",
        "feeCcy": "USD",
        "orderId": "FD486905037302665216",
        "remark": "",
        "transactTime": "1693895601000"
    },
  	{
        "id": "1",
        "accountId": "1491920242963768578",
        "type": "fiatWithdraw",
        "netFiatAmount": "50001",
        "fiatCcy": "USD",
        "fiatBalance": "797399",
        "fee": "0",
        "feeCcy": "USD",
        "orderId": "FW486905166923436032",
        "remark": "",
        "transactTime": "1693895424000"
    }  
]

Type = deposit/withdraw/refund/reversal

Supported for the past 30 days time range

Response content

PARAMETERTYPEDESCRIPTION
idSTRINGRecord ID
accountIdSTRINGAccount ID
typeSTRING"Deposit", "Withdraw", "Refund", "Reversal"
netVaAmountSTRINGDeposit/Withdraw: amount
Default Value = 0
vaCcySTRINGETH, BTC, USDC, etc
vaChainTypeSTRINGTron
vaBalanceSTRINGFiat balance in the account
Default Value = 0
feeSTRINGDeposit/Withdraw Fee
Default Value = 0
feeCcySTRINGFee Currency
clientOrderIdSTRINGThe unique ID assigned by the client
orderIdSTRINGDeposit/Withdraw Order ID
txnIdSTRINGChain Transaction ID
remarkSTRINGRemark
transactTimeSTRINGDeposit/Withdraw Completed Time

Sample

[
    {
        "id": "720",
        "accountId": "1978966613676937217",
        "type": "Deposit",
        "netVaAmount": "8989",
        "vaCcy": "USDT",
        "vaChainType": "Tron",
        "vaBalance": "1030784.1498",
        "fee": "0.0001",
        "feeCcy": "USDT",
        "orderId": "D768973742990266368",
        "txnId": "",
        "remark": "",
        "transactTime": "1761145789691",
        "clientOrderId": ""
    },
    {
        "id": "343",
        "accountId": "1954346749805043457",
        "type": "Withdraw",
        "netVaAmount": "180",
        "vaCcy": "USDT",
        "vaChainType": "Tron",
        "vaBalance": "0",
        "fee": "0",
        "feeCcy": "USDT",
        "orderId": "W769152094447452160",
        "txnId": "3dafba8abd7a7b2d02ac9161b41313931c9bafa18cf8cec2c98b1a4ec300be32",
        "remark": "",
        "transactTime": "1761188210875",
        "clientOrderId": "usdttron102303"
    },
    {
        "id": "335",
        "accountId": "1954346689088298753",
        "type": "Refund",
        "netVaAmount": "100.1199",
        "vaCcy": "USDT",
        "vaChainType": "Tron",
        "vaBalance": "200.2697",
        "fee": "0.0001",
        "feeCcy": "USDT",
        "orderId": "refund_D768944634495336448",
        "txnId": "",
        "remark": "",
        "transactTime": "1761139348000",
        "clientOrderId": ""
    },
    {
      "id": "123456789",
      "accountId": "987654321",
      "type": "Reversal",
      "netVaAmount": "100.50",
      "vaCcy": "USDT",
			"vaChainType": "Tron",
      "vaBalance": "1000.00",
      "fee": "0.00",
      "feeCcy": "USDT",
      "orderId": "ORDER123",
      "txnId": "TXN456",
      "remark": "存管冲正交易",
      "transactTime": "1640995200000",
      "clientOrderId": "CLIENT_ORDER_789"
    }
]

Type = transfer

Supported for the past 30 days time range

PARAMETERTYPEDESCRIPTION
idSTRINGRecord ID
fromAccountIdSTRINGFrom Account ID
toAccountIdSTRINGTo Account ID
typeSTRING"transfer"
netTransferAmountSTRINGTransfer Amount
Default Value = 0
transferCcySTRINGETH, BTC, USDC, etc
fromAccountBalanceSTRINGFrom Account balance
Default Value = 0
toAccountBalanceSTRINGTo Account balance
Default Value = 0
orderIdSTRINGTransfer OrderID
remarkSTRINGRemark
transactTimeSTRINGTransfer Completed Time
clientOrderIdSTRINGAn ID defined by the client for the withdrawal order
[
    {
        "id": "2286",
        "fromAccountId": "1471090223379184385",
        "toAccountId": "1471090223379184384",
        "type": "transfer",
        "netTransferAmount": "1",
        "transferCcy": "BTC",
        "fromAccountBalance": "1304.36501272",
        "toAccountBalance": "6080.570119335",
        "orderId": "1944297063069140480",		// Transfer order ID
        "remark": "",
        "transactTime": "1746514272000",
        "clientOrderId": ""
    },
    {
        "id": "2287",
        "fromAccountId": "1471090223379184385",
        "toAccountId": "1471090223379184384",
        "type": "transfer",
        "netTransferAmount": "1",
        "transferCcy": "BTC",
        "fromAccountBalance": "1303.36501272",
        "toAccountBalance": "6081.570119335",
        "orderId": "1944304593916806656",		// Transfer order ID
        "remark": "",
        "transactTime": "1746515169000",
        "clientOrderId": ""
    }
]

Query Params
string
required
Defaults to trade
string
required
Defaults to 1705827096800

Start Time

string
required
Defaults to 1705847696800

End Time

int64
required
Defaults to 1707495743685

Millisecond Timestamp

string
required
Defaults to 35d4c72c16f8f9a1753b32fd952e44de465a547c726e0dc63d7a01ed2b8e1d43

Signature

Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json